package de.avatic.lcc.model.db.materials;

import de.avatic.lcc.model.db.country.CountryListEntry;
import de.avatic.lcc.dto.generic.NodeType;

import java.util.List;

public class MaterialSupplier {

    private Integer id;
    private String name;
    private CountryListEntry country;
    private String address;
    private List<NodeType> types;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public CountryListEntry getCountry() {
        return country;
    }

    public void setCountry(CountryListEntry country) {
        this.country = country;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public List<NodeType> getTypes() {
        return types;
    }

    public void setTypes(List<NodeType> types) {
        this.types = types;
    }
}
